#if !defined(__CONSTANT_H)
#define __CONSTANT_H	

class Constant
{
	public :
	
		static const int MAX_PROCESSORS = 32 ;   

		static const int MAX_JOBS = MAX_PROCESSORS ; 
	
		static const int JOBNAMELEN = 1024 ;

		static const int FILENAMELEN = 2048 ;

		static const int JOBCONFIGFILENAMELEN = FILENAMELEN ;

		static const int MAX_HASHTABLELISTS	= 257 ;

		static const int UserPortNumber = 9000 ; 

		static const int GSPPortNumber = 8000 ; 

		static const int LSPPortNumber = 7000 ; 

		static const int QueryPortNumber = LSPPortNumber ; 

		static const int MAXJOBID = (1 << 30) ;  

} ;

const char ConfigFile[Constant::FILENAMELEN] = "/u/grad/ramasamy/736/code/c/host.data" ; 
const char JobSubmissionDir[Constant::FILENAMELEN] = "/u/grad/ramasamy/public/jobs/" ; 
const char JobLogFile[Constant::FILENAMELEN] = "/u/grad/ramasamy/public/jobs/joblog" ; 

const           int     GSP_PORT_NUMBER = 0 ;
const           int     LSP_PORT_NUMBER = 1 ;
const           int     USER_PORT_NUMBER = 2 ;
const           int     QUERY_PORT_NUMBER = 3 ;

#endif 
