#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <stdio.h> 
#include "bool.h" 

#if !defined(__OBJECT_H)
#define	__OBJECT_H

// All the objects by default are non null
class Object
{
	public :

		int Error ;	

		Object(int Val = 1)
		{
			Null = Val ;

			Error = 0 ; 
		} ;	

		Object(const Object& aObject)
		{
			Null = aObject.Null ;

			Error = aObject.Error ; 
		} ;
	
		void 
		SetNull()
		{
			Null = 0 ;
		} ;

		void 
		SetNoNull()
		{
			Null = 1 ;
		} ;

		int 	
		IsNull() const
		{
			return Null == 1 ? 0 : 1 ;
		} ;  

		operator int() 
		{
			return Null ;
		} ; 

	protected :

		int
		GetNullValue() const
		{
			return Null ;
		} ;

		void SetNullValue(int Val)
		{
			Null = Val ;
		} ;
				
		int Null ; 
} ;

#endif 
