#ifndef __QUEUE__
#define __QUEUE__

#include "globals.h"


// To be completed....
struct data {
	// the data part of each node
	Job_t *JobPtr;
	int   priority;
};

struct node {
	struct data dat;
        struct node * prev[N_ALGS+1];
	struct node * next[N_ALGS+1];
};


class job_queue {
private:
   
	struct node * head_ptr[N_ALGS+1];

	int curr_q;		// keeps track of the current list


	// Private methods
	bool globalq_enqueue(int data);
	bool p1_insert(struct node * ptr);
	bool p2_insert(struct node * ptr,int);
	bool p3_insert(struct node * ptr);

public:

	job_queue();	// constructor creates empty lists (dummy header pages)
        ~job_queue(){}	// free space created by lists.
	
	bool enqueue(Job_t* jobptr);
	bool dequeue(int list_num, int numProcessorsFree,Job_t* & jobptr);
	void switch_queue(int new_queue_num);
	void print(int q_num);
};

#endif






