/*  Copyright 1987 Bart Miller.  All rights reserved.
 *  Explicit permission required to redistributed this software.
 */

#include <stdio.h>

main (argc, argv)
    int argc;
    char *argv[];
{
    long mysock;
    int i, number;

    if (argc != 2)
    {
	fprintf (stderr, "%s: incorrect parm count (%d), should be %d\n",
		argv[0], argc-1 , 1);
	exit (-1);
    }

    number = atoi (argv[1]);
    for (i=0; i<number; i++)
    {
	if ((mysock = meet("Server", "Client")) < 0) {
	    printf("error on meet, return value = %d\n", mysock);
	    exit (0);
	}
	fprintf (stderr, "%s: Iteration %d ok\n", argv[0], i);
    }
}


